Name: elinos-thttpd
Vendor: SYSGO AG
Distribution: ELinOS V3.1
Packager: <support@elinos.com>
URL: http://www.elinos.com/

Version: 2.20b
Release: 7

BuildArchitectures: noarch

Copyright: GPL
Source0: thttpd-%{version}.tar.gz
Patch0: %{name}.patch

BuildRoot: /var/tmp/%{name}
Prefix: /opt/elinos


#
#  PACKAGE: SRPM
#
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no

%description
Thttpd (Throttling httpd) is a simple but efficient Web-Server.

#
#  PACKAGE: RPM
#
%package -n elinos-thttpd-%{_elinos_target_arch}-glibc-2.3.2
Summary: Kernel Module Utilities
Group: Development/System
AutoReqProv: no

%description -n elinos-thttpd-%{_elinos_target_arch}-glibc-2.3.2
Thttpd (Throttling httpd) is a simple but efficient Web-Server.

%files -n elinos-thttpd-%{_elinos_target_arch}-glibc-2.3.2
%defattr(-,root,root)
/opt/elinos

#
#  PREP
#
%prep
%setup -q -n thttpd-%{version}
%patch0 -p1


#
#  BUILD
#
%build

PATH=$PATH:%{_elinos_bin_dir}

%if "glibc-2.3.2" == "%{_elinos_static_lib}"
%endif

CC="%{_elinos_tool_prefix}gcc" \
AR=%{_elinos_tool_prefix}ar \
RANLIB=%{_elinos_tool_prefix}ranlib \
LD=%{_elinos_tool_prefix}ld \
NM=%{_elinos_tool_prefix}nm \
./configure \
--host=%{_elinos_target_config} \
--prefix=${RPM_BUILD_ROOT}%{_elinos_target_dir}/glibc-2.3.2/default
make all

#
#  INSTALL
#
%install
rm -rf $RPM_BUILD_ROOT

PATH=$PATH:%{_elinos_bin_dir}
make install
%if "glibc-2.3.2" == "%{_elinos_static_lib}"
%endif

#
#  CLEAN
#
%clean
rm -rf $RPM_BUILD_ROOT


#
#  CHANGELOG
#
%changelog
