:
# Start ELinOS session
#
# Automatically created on Mon May 30 16:06:51     2005

# --- Configuration Settings ------------------------------------------
ELINOS_PREFIX="/opt/elinos"
export ELINOS_PREFIX
ELINOS_PROJECT="/home/BIG1/src/test_project/2427"
export ELINOS_PROJECT
ELINOS_BOARD="custom"
export ELINOS_BOARD
ELINOS_CPU="arm"
export ELINOS_CPU
ELINOS_ARCH="v4le"
export ELINOS_ARCH
ELINOS_LIBC="glibc-2.3.2"
export ELINOS_LIBC
ELINOS_DOSNAME="2427"
export ELINOS_DOSNAME
ELINOS_BOOT_STRAT="uboot_multi"
export ELINOS_BOOT_STRAT
ELINOS_CDK="/opt/elinos/cdk/arm/v4le/glibc-2.3.2"
export ELINOS_CDK
ELINOS_BIN_PREFIX="arm_v4le"
export ELINOS_BIN_PREFIX
ELINOS_TARGET="armel-linux"
export ELINOS_TARGET
ELINOS_TARGET_FILES="/opt/elinos/target/arm/v4le"
export ELINOS_TARGET_FILES
LINUX_ARCH="arm"
export LINUX_ARCH
ELINOS_RTAI_BASE="/opt/elinos/rtai-3.0r2"
export ELINOS_RTAI_BASE
ELINOS_VERSION="3.1"
export ELINOS_VERSION
LIST_BOOTSTRATS=""
export LIST_BOOTSTRATS
MKIMAGE_LOAD_ADDRESS="20008000"
export MKIMAGE_LOAD_ADDRESS
MKIMAGE_ENTRY_ADDRESS="20008000"
export MKIMAGE_ENTRY_ADDRESS
AS="arm_v4le-as"
export AS
AR="arm_v4le-ar"
export AR
NM="arm_v4le-nm"
export NM
LD="arm_v4le-ld"
export LD
RANLIB="arm_v4le-ranlib"
export RANLIB
STRIPTOOL="arm_v4le-strip"
export STRIPTOOL
CC="arm_v4le-gcc"
export CC
CXX="arm_v4le-g++"
export CXX
GDB="arm_v4le-gdb"
export GDB
unset ELINOS_FEATURE_BASE
# --- Configuration Settings End --------------------------------------

echo "STARTING ELINOS SESSION"
echo "======================="
echo 

# addpath {env-variable} {new-path-element}
addpath()
{
    eval "_X=\"\${$1:-}\""
    if [ -n "$_X" ]; then
        if [ -z "`echo $_X | grep $2`" ]; then
            eval "$1=\"$2:$_X\""
        fi
    else
        eval "$1=\"$2\""
    fi
}

addpath "PATH" "${ELINOS_CDK}/bin"
addpath "PATH" "${ELINOS_PREFIX}/bin"
addpath "INFOPATH" "${ELINOS_PREFIX}/info:${ELINOS_CDK}/info"
# if possible use manpath to preset MANPATH first
manpath=`which manpath`
if [ -n "$manpath" -a -x "$manpath" ]; then
    if [ -z "${MANPATH:-}" ]; then
        MANPATH="`$manpath 2>/dev/null`"
        export MANPATH
    fi
fi
addpath "MANPATH" "${ELINOS_PREFIX}/${ELINOS_ARCH}-target/${ELINOS_LIBC}/default/man"
addpath "MANPATH" "${ELINOS_CDK}/${ELINOS_BIN_PREFIX}/man"
addpath "MANPATH" "${ELINOS_CDK}/man"
addpath "MANPATH" "${ELINOS_PREFIX}/man"
unset manpath
unset addpath

echo "Setting up CDK ${ELINOS_CPU}_${ELINOS_ARCH} for $ELINOS_LIBC"
echo ""
echo "\$ELINOS_BOARD      = $ELINOS_BOARD"
echo "\$ELINOS_BIN_PREFIX = $ELINOS_BIN_PREFIX"
echo "\$ELINOS_PROJECT    = $ELINOS_PROJECT"
echo "\$ELINOS_DOSNAME    = $ELINOS_DOSNAME"
echo "\$CC                = $CC"
echo "\$CXX               = $CXX"
echo "\$AS                = $AS"
echo "\$GDB               = $GDB"

alias ddd='ddd --debugger $GDB'

echo
